POSTgetSignatureStatuses

Returns the statuses of a list of signatures. Each signature must be a txid, the first signature of a transaction. Unless the searchTransactionHistory configuration parameter is included, this method only searches the recent status cache of signatures, which retains statuses for all active slots plus MAX_RECENT_BLOCKHASHES rooted slots.

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
paramsstringrequired

It contains following items:

  1. Transaction signatures (required)
  2. ConfigurationObject (optional)

An array of transaction signatures to confirm, as base-58 encoded strings (up to a maximum of 256)

Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

contextobject

An object containing metadata about the current state of the Solana network at the time of the request.

apiVersionstring

The API version used for the request

slotinteger

The slot number at which the request was evaluated

valueobject[]
slotinteger (uint64)

The slot the transaction was processed

confirmationsinteger (uint64)

Number of blocks since signature confirmation, null if rooted, as well as finalized by a supermajority of the cluster

errobject

Error if transaction failed, null if transaction succeeded.

statusobject

DEPRECATED Transaction status

"Ok": - Transaction was successful "Err": - Transaction failed with TransactionError

confirmationStatusstring (enum)

The transaction's cluster confirmation status; Either processed, confirmed, or finalized.

  • processed - the transaction has been processed by the cluster
  • confirmed - the transaction has been confirmed by the cluster
  • finalized - the transaction has been finalized by the cluster
X-API-KEY
RequestCU20
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getSignatureStatuses",
  "params": [
    [
      "5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW"
    ],
    {
      "searchTransactionHistory": true
    }
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "context": {
      "slot": 82
    },
    "value": [
      {
        "slot": 48,
        "confirmations": null,
        "err": null,
        "status": {
          "Ok": null
        },
        "confirmationStatus": "finalized"
      },
      null
    ]
  },
  "id": 1
}